using System;
using System.Collections.Generic;
using System.Windows.Forms;
using OtterUsageSample.test;
using OtterUnitTestFramework.Public;

namespace OtterUsageSample
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            //get the application instance (singleton)
            OtterUnitTestFrameworkApplication app = OtterUnitTestFrameworkApplication.GetInstance();
            //register tests
            app.TestRegistration.RegisterTest(new TestCaseSample());
            //execute application
            app.ExecuteApplication();
        }
    }
}