using System;
using System.Collections.Generic;
using System.Text;

namespace OtterUsageSample
{
    /// <summary>
    /// Sample class, has basic methods
    /// </summary>
    public class Sample
    {
        /// <summary>
        /// Returns true.
        /// </summary>
        /// <returns>true</returns>
        public bool ReturnTrue()
        {
            return true;
        }

        /// <summary>
        /// Returns false.
        /// </summary>
        /// <returns>false</returns>
        public bool ReturnFalse()
        {
            return false;
        }

        /// <summary>
        /// Do nothing.
        /// </summary>
        public void DoNothing()
        {
        }

        /// <summary>
        /// Throws SampleException
        /// </summary>
        /// <exception cref="OtterUsageSample.SampleException">Is always thrown.</exception>
        public void ThrowSampleException()
        {
            throw new SampleException("An Sample exception was thrown");
        }
    }
}
